import type { EmailJSResponseStatus } from '../../models/EmailJSResponseStatus.js';
import type { Options } from '../../types/Options.js';
/**
 * Send a template to the specific EmailJS service
 * @param {string} serviceID - the EmailJS service ID
 * @param {string} templateID - the EmailJS template ID
 * @param {object} templateParams - the template params, what will be set to the EmailJS template
 * @param {object} options - the EmailJS SDK config options
 * @returns {Promise<EmailJSResponseStatus>}
 */
export declare const send: (serviceID: string, templateID: string, templateParams?: Record<string, unknown>, options?: Options) => Promise<EmailJSResponseStatus>;
